/*
 *
 *  Copyright 2005 The Apache Software Foundation or its licensors, as applicable.
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

/* $Rev: 506333 $ $Date: 2007-02-12 06:45:10 +0000 (Mon, 12 Feb 2007) $ */

#include "tuscany/sca/util/Logging.h"
#include "tuscany/sca/rest/model/RESTServiceBinding.h"
#include "tuscany/sca/core/ServiceWrapper.h"
#include "tuscany/sca/rest/RESTServiceWrapper.h"

using namespace std;
using namespace tuscany::sca::model;

namespace tuscany
{
    namespace sca
    {
        namespace rest
        {

            // Constructor
            RESTServiceBinding::RESTServiceBinding(Service* service, const string& uri)
                : ServiceBinding(service, uri)
            {
                logentry();
                
                serviceWrapper = new RESTServiceWrapper(service);
            }

            // Destructor
            RESTServiceBinding::~RESTServiceBinding()
            {
                logentry();
            }
            
            ServiceWrapper* RESTServiceBinding::getServiceWrapper()
            {
                logentry();
                
                return serviceWrapper;
            }
                
        } // End namespace rest
    } // End namespace sca
} // End namespace tuscany
